#!/bin/sh
spitshell=cat
package=IRC

echo "Extracting $package/src/version.c..."

if test -r version.c.last
then
	generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c.last`
if test ! "$generation" ; then generation=0; fi
else
	generation=0
fi

generation=`expr $generation + 1`

uname=`uname -a`

creation=`date | \
awk '{if (NF == 6) \
{ print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
{ print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

$spitshell >version.c <<!SUB!THIS!
/*
 *   IRC - Internet Relay Chat, src/version.c
 *   Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "struct.h"
#include "patchlevel.h"

char *generation = "$generation";
char *creation = "$creation";
char version[128];

char *infotext[] =
{
	"IRCd --",
	"Based on the original code written by Jarkko Oikarinen",
	"Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
	" ",
	"This program is free software; you can redistribute it and/or",
	"modify it under the terms of the GNU General Public License as",
	"published by the Free Software Foundation; either version 1, or",
	"(at your option) any later version.",
	" ",
	"The Prometheus IRCd is based on bahamut-1.4.29. The following people",
	"have contributed code, suggestions or bug reports to it:",
	" ",
	"skold              Darcy Grexton      skold@habber.net",
	" ",
	"Developers and contributors for previous versions:",
	" ",
	"Diane Bruce        David Knepper      Sven Nielsen",
	"Aaron Wiebe        Lucas Madar        Mark Salerno",
	"Jason Slagle       Ian Westcott       David Parton",
	"Chip Norkus        David Friedman     Melinda Thompson",
	"Kevin Turner       Chris Bongaarts    Chris Behrens",
	"Johannes Erdfelt   Roger Espel Llima  Jon Lusky",
	"Michael Pearce     Brian Kraemer      Joan Touzet",
	"Chris Portman      Keith Fralick      Sam Noble",
	"Taner Halicioglu   Darren Reed        Markku Savela",
	"Greg Lindahl       Jarkko Oikarinen   Armin Gruner",
	"Matthew Green      Chuck Kane         Matt Lyle",
	"Vesa Ruokonen      Nicolas PIOCH      Stellan Klebom",
	"Dan Goodwin        Mike Bolotski      Ian Frechette",
	"Markku Jarvinen    Kimmo Suominen     Jeff Trim",
	"Vijay Subramaniam  Karl Kleinpaste    Bill Wisner",
	"Tom Davis          Hugo Caledar       Tom Hopkins",
	"Bo Adler           Michael Sandrof    Stephen van den Berg",
	"Jon Solomon        Jan Peterson       Helen Rose",
	"Paul Graham",
	" ",
	"Thanks also goes to those persons not mentioned here who have added",
	"their advice, opinions, and code to IRC.",
	" ",
	0,
};

char *auptext[] =
{
    "Acceptable Use Policy (\2AUP\2):",
    " ",
    "\2Disclaimer:\2",
    " ",
    "This is an unmoderated chat medium. Information passing through our",
    "servers is in no way moderated, censored, modified, logged or viewed.",
    " ",
    "We make no guarantees that the rules stated here will be enforced.",
    " ",
    "This network reserves the right to remove any user for any reason,",
    "whether defined below or not.",
    " ",
    "\2Acceptable Use:\2",
    " ",
    "This network's servers are openly available to the public for the",
    "sole purpose of communication. Other uses such as file trading,",
    "gaming, etc., while allowed, are not supported or moderated in",
    "any way.",
    " ",
    "\2Rules:\2",
    " ",
    "No flooding, cloning, inviting, advertising or Ban/AKILL/K:Line evasion.",
    "Each user may own up to 5 nicknames and 5 channels.",
    " ",
    "Please view http://www.habber.net/rules.php for an in depth listing",
    "of the rules and policies of HabberNet.",
    0,
};
!SUB!THIS!
